Error while loading shared librarires: libart_lgpl_2.so.2 (x86_64)

No replies
alisonken1
User offline. Last seen 2 years 17 weeks ago. Offline
Joined: 2007-03-02
Posts:

OK - initial problem was compiling (thread at http://ardour.org/node/764)

Ensuring following packages are installed:

libart_lgpl-2.3.17-x86_64

Which includes the following under /usr/lib64:

libart_lgpl_2.a
libart_lgpl_2.la
libart_lgpl_2.so -> libart_lgpl_2.so.2.3.17
libart_lgpl_2.so.2 -> libart_lgpl_2.so.2.3.17
libart_lgpl_2.so.2.3.17

Compiled the other required stuff for x86_64:

binutils-2.17.50.0.12
jack-audio-connection-kit-0.102.20
ladspa_sdk_1.12
liblrdf-0.4.0
libsamplerate-0.1.2
libsndfile-1.0.17
raptor-1.4.14
ardour-0.99.3

When I try loading ardour, I get the following error:

ardour: error while loading shared libraries: libart_lgpl_2.so.2:
cannot open shared object file: No such file or directory

As suggested in the thread, I also checked

# pkg-config –libs –cflags libart-2.0

-I/usr/include/libart-2.0 -lart_lgpl_2

Any other suggestions?

alisonken1
User offline. Last seen 2 years 17 weeks ago. Offline
Joined: 2007-03-02
Posts:

Never mind.

Serves me right for not checking for an installed package that's not compatible with my install (x86 package installed instead of x86_64)